🌍 Astrocartography API and βœ‹ Palmistry API are now live. Ship them in your app today.Get Started

Nakshatra Prediction For Next Day

Get next day nakshatra prediction
POSThttps://json.astrologyapi.com/v1/daily_nakshatra_prediction/next

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/daily_nakshatra_prediction/next' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data β€” no API key needed

{
  "birth_moon_sign": "Leo",
  "birth_moon_nakshatra": "Magha",
  "prediction": {
    "health": "You will feel active and happy the whole day. Beginning a new physical exercise regime and sporting activity will cause good health. Tendency to suffer from joints and muscular pain exists. However, there are no major health related issues to worry about.",
    "emotions": "This is a time of heightened yet manageable emotions. Increased sensitivity and warmth helps endear you to others.",
    "profession": "This is a good time for making business decisions, investments and dispute settlements. You shall have an edge over competitors. Job interview or negotiations will give good results. It's your time to be recognized and appreciated.",
    "luck": "There are a few pleasant surprises in store for you today. You will be able to achieve immense success even with small efforts.",
    "personal_life": "You will be more sympathetic to the feelings of others and shall freely share your own emotions with them. It’s a party time. Enjoy the day with family and friends. You may get an invitation to attend a social gathering.",
    "travel": "Traveling for professional purpose will prove very productive."
  },
  "prediction_date": "18 June 2017"
}